CREATE OR ALTER PROCEDURE [dbo].[historicoDocumento]
	@p_id_itemDocumento varchar(500)
AS
BEGIN
     Declare @id_documento int;
   set @id_documento =  (select id_documento from doc_itemDocumento where id = @p_id_itemDocumento ) 
	-- Declarar la variable @p_id_sucursal
	DECLARE @p_id_sucursal INT;

	-- Asignar el valor a la variable usando una consulta
	set @p_id_sucursal = (SELECT  id_tercero_cliente
	FROM doc_documento
	WHERE id = @id_documento);

	Declare @p_cantidad int = (select count(id) from doc_documento where id_tercero_cliente = @p_id_sucursal and id_subtipoDocumento = 8)

	DECLARE @Resumen NVARCHAR(MAX);

	Declare @nombreCliente  varchar(200)
	
	set @nombreCliente = (select  tercero from ter_tercero where id = @p_id_sucursal)
-- Construir la cadena concatenando las partes
--SET @Resumen = '<table><tbody><tr><td></td><td></td><td></td></tr><tr><td></td><td></td><td><p> Existen ' + CAST(@p_cantidad AS NVARCHAR(50)) + '</p> <p>cantidad de Cotizaciones Creadas con el cliente ' + @nombreCliente + '</p></td></tr></tbody></table>';
select @Resumen = '<table border="1"><tbody><tr><td>Fecha_documento</td><td>Numero_documento item' + CAST(@p_id_itemDocumento as varchar)  + '</td><td>Valor_Total</td></tr><tr><td>01-01-2024</td><td>COT-123</td><td>$ 1234</td></tr><tr><td>01-01-2024</td><td>COT-123</td><td>$ 1234</td></tr><tr><td>01-01-2024</td><td>COT-123</td><td>$ 1234</td></tr><tr><td>01-01-2024</td><td>COT-123</td><td>$ 1234</td></tr></tbody></table>';
-- Mostrar el resultado
SELECT @Resumen AS Resumen;

END